before_script:
  - 'command -v ssh-agent >/dev/null || ( apt-get update -y && apt-get install openssh-client -y )'
  - eval $(ssh-agent -s)
  - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
  - mkdir -p ~/.ssh
  - chmod 700 ~/.ssh
  - echo $SSH_PRIVATE_KEY > ~/.ssh/id_rsa
  - ssh-keyscan 104.248.138.53 >> ~/.ssh/known_hosts
  - chmod 644 ~/.ssh/known_hosts

test-job:
  image: docker:latest
  services:
    - docker:dind
  script:
    - ./docker-script.sh
    - ssh nikita.kravchenko@104.248.138.53 '/home/nikita.kravchenko/docker.ch'